{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "yt-dlp";
  cfg = config.dots.${program};
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {

    # enable with home-manager
    programs.${program} = {
      enable = true;
      settings = {
        embed-thumbnail = true;
        embed-subs = true;
        sub-langs = "all";
      };
    };

  };
}
